Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# IORC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _TAO_IOP_TAO_IOR_PROPERTY___CI_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___CI_
## Functions
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_IOP::EmptyProfileList &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::EmptyProfileList &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_IOP::NotFound &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::NotFound &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_IOP::Duplicate &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Duplicate &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_IOP::Invalid_IOR &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Invalid_IOR &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_IOP::MultiProfileList &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::MultiProfileList &)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_

#define _TAO_IOP_TAO_IOR_MANIPULATION___CI_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_

#define _TAO_IOP_TAO_IOR_PROPERTY___CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::MultiProfileList & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::Invalid_IOR & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::Duplicate & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::NotFound & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::EmptyProfileList & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::MultiProfileList & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::Invalid_IOR & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::Duplicate & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::NotFound & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::EmptyProfileList & |
| ) |